<?= $this->extend('templates/baseAdmin') ?>

<?= $this->section('content') ?>

<div class="card">
    <div class="card-body">
        <h5 class="card-title"><?= $encuesta['title'] ?></h5>
        <br>
        <p><?= $encuesta['description'] ?></p>
        <p>Perfil: <strong><?= $encuesta['perfil_nombre'] ?></strong></p>
        <p>Fecha: <strong><?= $encuesta['fecha_nombre'] ?></strong></p>
        <p>Status: <strong><?= $encuesta['status_nombre'] ?></strong></p>
        <a href="<?= route_to('admin_encuesta_editar', $id) ?>" class="card-link">Editar encuesta</a>
    </div>
</div>


<div class="d-flex justify-content-between mb-3">
    <h2>Preguntas</h2>
    <a href="<?= route_to('admin_pregunta_nueva', $id) ?>" class="btn btn-outline-dark align-items-start mr-3"><i class="right fas fa-plus-circle"></i> Nueva pregunta</a>
</div>

<table class="table">
    <thead>
        <th>Pregunta</th>
        <th>Tipo</th>
        <th>Opciones</th>
        <th>Acciones</th>
    </thead>
    <tbody>
        <?php foreach ($preguntas as $pregunta) : ?>
            <tr>
                <td><?= $pregunta['question'] ?></td>
                <td>
                    <?php if ($pregunta['type'] == '1') echo 'Texto';
                    else if ($pregunta['type'] == '2') echo 'Selección única';
                    else if ($pregunta['type'] == '3') echo 'Selección múltiple' ?>
                </td>
                <td><?= $pregunta['frm_option'] ?></td>
                <td>
                    <div class="button-group mr-2" role="group">
                        <a href="<?= route_to('admin_pregunta_editar', $pregunta['id']) ?>" class="btn btn-info ">
                            <i class="nav-icon fas fa-edit"></i>
                        </a>
                        <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#eliminarModal" data-id="<?= $pregunta['id'] ?>" data-question="<?= $pregunta['question'] ?>" data-link="<?= route_to('admin_pregunta_eliminar', $pregunta['id'], $id) ?>">
                            <i class="nav-icon fas fa-trash"></i>

                        </button>

                    </div>
                </td>
            </tr>
        <?php endforeach ?>
    </tbody>
</table>

<!-- Modal: eliminar encuesta -->
<div class="modal fade" id="eliminarModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Eliminar Pregunta</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                <a href="#" id="eliminar-link" class="btn btn-danger">Eliminar</a>
            </div>
        </div>
    </div>
</div>

<script src="plugins/jquery/jquery.min.js"></script>
<script>
    $(document).ready(function() {
        $('#eliminarModal').on('show.bs.modal', (event) => {
            let button = $(event.relatedTarget)
            let preguntaId = button.data('id')
            let preguntaTitle = button.data('question')
            let preguntaLink = button.data('link')

            let modal = $(this)
            // modal.find('.modal-title').text('New message to ' + recipient)
            modal.find('.modal-body').text('Eliminar: ' + preguntaTitle)
            modal.find('#eliminar-link').attr('href', preguntaLink)
        })

    })
</script>

<?= $this->endSection() ?>