<?= $this->extend('templates/baseAdmin') ?>

<?= $this->section('content') ?>


<form action="<?= isset($datos) ? route_to('admin_encuesta_editar', $id) : route_to('admin_encuesta_nueva')  ?>" method="POST">
    <?= csrf_field() ?>

    <div class="form-group">
        <label for="title">Título</label>
        <input name="title" id="title" type="text" class="form-control" value="<?= isset($datos) ? $datos['title'] : '' ?>" required>
    </div>
    <div class="form-group">
        <label for="perfil">Perfil objetivo</label>
        <select name="perfil" id="perfil" class="form-control" required>
            <option value="1" <?= (isset($datos) && $datos['perfil'] == 1) ? 'selected="selected"' : '' ?>>Personal de CEJ</option>
            <option value="2" <?= (isset($datos) && $datos['perfil'] == 2) ? 'selected="selected"' : '' ?>>Prestador de servicio social o prácticas</option>
        </select>
    </div>
    <div class="form-group">
        <label for="fecha">Fechas en que se solicita la encuesta</label>
        <select name="fecha" id="fecha" class="form-control" required>

            <option value="1" <?= (isset($datos) && $datos['fecha'] == 1) ? 'selected="selected"' : '' ?>>Inicio de servicio</option>
            <option value="2" <?= (isset($datos) && $datos['fecha'] == 2) ? 'selected="selected"' : '' ?>>50% de horas o más</option>
            <option value="3" <?= (isset($datos) && $datos['fecha'] == 3) ? 'selected="selected"' : '' ?>>Al terminar el servicio</option>
        </select>
    </div>

    <div class="form-group">
        <label for="description">Descripción</label>
        <textarea name="description" id="description" cols="30" rows="6" class="form-control"><?= isset($datos) ? $datos['description'] : '' ?></textarea>
    </div>
    <div class="form-group">
        <label for="status">Status</label>
        <select name="status" id="status" class="form-control" required>
            <option value="1" <?= (isset($datos) && $datos['status'] == 1) ? 'selected="selected"' : '' ?>>Publicada</option>
            <option value="0" <?= (isset($datos) && $datos['status'] == 0) ? 'selected="selected"' : '' ?>>No publicada</option>
        </select>
    </div>
    <a href="<?= route_to('admin_encuestas') ?>" class="btn btn-danger">Cancelar</a>
    <input type="submit" class="btn btn-dark" value="<?= isset($datos) ? 'Actualizar' : 'Guardar' ?>">
</form>

<?= $this->endSection() ?>